### Enumeration

# Gsk GLUniformType

#### Declaration

    enum Gsk.GLUniformType

#### Description [src]

This defines the types of the uniforms that `GskGLShaders` declare.

It defines both what the type is called in the GLSL shader code, and what the corresponding C type is on the Gtk side.

#### Members

Name | Description
--- | ---
`GSK_GL_UNIFORM_TYPE_NONE` | No type, used for uninitialized or unspecified values.
`GSK_GL_UNIFORM_TYPE_FLOAT` | A float uniform.
`GSK_GL_UNIFORM_TYPE_INT` | A GLSL int / gint32 uniform.
`GSK_GL_UNIFORM_TYPE_UINT` | A GLSL uint / guint32 uniform.
`GSK_GL_UNIFORM_TYPE_BOOL` | A GLSL bool / gboolean uniform.
`GSK_GL_UNIFORM_TYPE_VEC2` | A GLSL vec2 / graphene_vec2_t uniform.
`GSK_GL_UNIFORM_TYPE_VEC3` | A GLSL vec3 / graphene_vec3_t uniform.
`GSK_GL_UNIFORM_TYPE_VEC4` | A GLSL vec4 / graphene_vec4_t uniform.